% Ordinary Differential Equations - Boundary Problem - Shooting Method
% y''+2y'-3y=0, y(xa)=0; y(xb)=1 for xa=0, xb=4
%%%%%% A. Symbolic Solution %%%%%%%%%%%%%%%%%%%%%%%%%%%%%
  clear; delete(get(0,'children'))
  xa=0; xb=4;
  ys=dsolve('D2y+2*Dy-3*y=0','y(0)=0','y(4)=1','x');
    pretty(simplify(ys)); 
    ezplot(ys,[xa xb]); grid on; axis tight
%%%%%% B. Numeric Solution: Shooting Method %%%%%%%%%%%%%
% Equation: y1'=-2*y1+3*y2; y1(xa)=...
%           y2'=y1;          y2(xa)=0; 
  y1a=input('Volba pocatecni podminky (=0): '); 
  y2a=0; y2b=1; alpha=0.01; 
  for i=1:30
    [x,y]=ode23('f',[xa xb],[y1a y2a]);
      hold on; plot(x,y(:,2),'r'); axis tight; hold off
    y1a=y1a-alpha*(y(end,2)-y2b);
  end
  
